Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class SignedProperties

    java.lang.Object
      org.etsi.uri._01903.v1_3.SignedProperties

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:16+02:00",
               comments="JAXB RI v2.2.11")
    public class SignedProperties

extends Object
implements Serializable

Java class for SignedPropertiesType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignedPropertiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SignedSignatureProperties" type="{http://uri.etsi.org/01903/v1.3.2#}SignedSignaturePropertiesType" minOccurs="0"/>
             <element name="SignedDataObjectProperties" type="{http://uri.etsi.org/01903/v1.3.2#}SignedDataObjectPropertiesType" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignedProperties()`

Method Summary
`String` | `getId()` Gets the value of the id property.
`SignedDataObjectProperties` | `getSignedDataObjectProperties()` Gets the value of the signedDataObjectProperties property.
`SignedSignatureProperties` | `getSignedSignatureProperties()` Gets the value of the signedSignatureProperties property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setSignedDataObjectProperties(SignedDataObjectProperties value)` Sets the value of the signedDataObjectProperties property.
`void` | `setSignedSignatureProperties(SignedSignatureProperties value)` Sets the value of the signedSignatureProperties property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedProperties

    public SignedProperties()

Method Detail

### getSignedSignatureProperties

    public SignedSignatureProperties getSignedSignatureProperties()

  Gets the value of the signedSignatureProperties property.

  Returns:
    possible object is `SignedSignatureProperties`

### setSignedSignatureProperties

    public void setSignedSignatureProperties(SignedSignatureProperties value)

  Sets the value of the signedSignatureProperties property.

  Parameters:
    `value` - allowed object is `SignedSignatureProperties`

### getSignedDataObjectProperties

    public SignedDataObjectProperties getSignedDataObjectProperties()

  Gets the value of the signedDataObjectProperties property.

  Returns:
    possible object is `SignedDataObjectProperties`

### setSignedDataObjectProperties

    public void setSignedDataObjectProperties(SignedDataObjectProperties value)

  Sets the value of the signedDataObjectProperties property.

  Parameters:
    `value` - allowed object is `SignedDataObjectProperties`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.